Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdComponents Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | tx ([out, retval] RtFloat *pVal)
HRESULT | tx ([in] RtFloat newVal)
HRESULT | ty ([out, retval] RtFloat *pVal)
HRESULT | ty ([in] RtFloat newVal)
HRESULT | tz ([out, retval] RtFloat *pVal)
HRESULT | tz ([in] RtFloat newVal)
HRESULT | roll ([out, retval] RtFloat *pVal)
HRESULT | roll ([in] RtFloat newVal)
HRESULT | pitch ([out, retval] RtFloat *pVal)
HRESULT | pitch ([in] RtFloat newVal)
HRESULT | yaw ([out, retval] RtFloat *pVal)
HRESULT | yaw ([in] RtFloat newVal)
HRESULT | sx ([out, retval] RtFloat *pVal)
HRESULT | sx ([in] RtFloat newVal)
HRESULT | sy ([out, retval] RtFloat *pVal)
HRESULT | sy ([in] RtFloat newVal)
HRESULT | sz ([out, retval] RtFloat *pVal)
HRESULT | sz ([in] RtFloat newVal)
HRESULT | ssx ([out, retval] RtFloat *pVal)
HRESULT | ssx ([in] RtFloat newVal)
HRESULT | ssy ([out, retval] RtFloat *pVal)
HRESULT | ssy ([in] RtFloat newVal)
HRESULT | ssz ([out, retval] RtFloat *pVal)
HRESULT | ssz ([in] RtFloat newVal)

## Detailed Description

The IRdComponents object stores the values of that encodes the rotation, scale and translation of an object. These values can be used for calculation of object's transformation matrix.

See also:
  IRdMatrixfDisp

## Member Function Documentation

HRESULT IRdComponents::tx | ( | [out, retval] RtFloat * | pVal | ) |

  | Gets translation in x Parameters:
  pVal | x coordinate of translation

HRESULT IRdComponents::tx | ( | [in] RtFloat | newVal | ) |

  | Sets translation in x Parameters:
  pVal | x coordinate of translation

HRESULT IRdComponents::ty | ( | [out, retval] RtFloat * | pVal | ) |

  | Gets translation in y Parameters:
  pVal | y coordinate of translation

HRESULT IRdComponents::ty | ( | [in] RtFloat | newVal | ) |

  | Sets translation in y Parameters:
  pVal | y coordinate of translation

HRESULT IRdComponents::tz | ( | [out, retval] RtFloat * | pVal | ) |

  | Gets translation in z Parameters:
  pVal | z coordinate of translation

HRESULT IRdComponents::tz | ( | [in] RtFloat | newVal | ) |

  | Sets the translation in z Parameters:
  pVal | z coordinate of translation

HRESULT IRdComponents::roll | ( | [out, retval] RtFloat * | pVal | ) |

  | Returns the value of roll Parameters:
  pVal | roll

HRESULT IRdComponents::roll | ( | [in] RtFloat | newVal | ) |

  | Sets the value of roll Parameters:
  pVal | roll

HRESULT IRdComponents::pitch | ( | [out, retval] RtFloat * | pVal | ) |

  | Returns the value of pitch Parameters:
  pVal | pitch

HRESULT IRdComponents::pitch | ( | [in] RtFloat | newVal | ) |

  | Sets the value of pitch Parameters:
  pVal | pitch

HRESULT IRdComponents::yaw | ( | [out, retval] RtFloat * | pVal | ) |

  | Returns the value of yaw Parameters:
  pVal | yaw

HRESULT IRdComponents::yaw | ( | [in] RtFloat | newVal | ) |

  | Sets the value of yaw Parameters:
  pVal | yaw

HRESULT IRdComponents::sx | ( | [out, retval] RtFloat * | pVal | ) |

  | Returns the scale in x axis Parameters:
  pVal | scale value

HRESULT IRdComponents::sx | ( | [in] RtFloat | newVal | ) |

  | Sets the scale in x axis Parameters:
  pVal | scale value

HRESULT IRdComponents::sy | ( | [out, retval] RtFloat * | pVal | ) |

  | Returns the scale in y axis Parameters:
  pVal | scale value

HRESULT IRdComponents::sy | ( | [in] RtFloat | newVal | ) |

  | Sets the scale in y axis Parameters:
  pVal | scale value

HRESULT IRdComponents::sz | ( | [out, retval] RtFloat * | pVal | ) |

  | Returns the scale in z axis Parameters:
  pVal | scale value

HRESULT IRdComponents::sz | ( | [in] RtFloat | newVal | ) |

  | Sets the scale in z axis Parameters:
  pVal | scale value

HRESULT IRdComponents::ssx | ( | [out, retval] RtFloat * | pVal | ) |

  | Returns the shear in xy Parameters:
  pVal | shear value

HRESULT IRdComponents::ssx | ( | [in] RtFloat | newVal | ) |

  | Sets the shear in xy Parameters:
  pVal | shear value

HRESULT IRdComponents::ssy | ( | [out, retval] RtFloat * | pVal | ) |

  | Returns the shear in xz Parameters:
  pVal | shear value

HRESULT IRdComponents::ssy | ( | [in] RtFloat | newVal | ) |

  | Sets the shear in xz Parameters:
  pVal | shear value

HRESULT IRdComponents::ssz | ( | [out, retval] RtFloat * | pVal | ) |

  | Returns the shear in yz Parameters:
  pVal | shear value

HRESULT IRdComponents::ssz | ( | [in] RtFloat | newVal | ) |

  | Sets the shear in yz Parameters:
  pVal | shear value